Bug 1970796 - Cluster local doesn't work for knative services created from dev console
Summary: Cluster local doesn't work for knative services created from dev console
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Dev Console
Version: 4.7
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: ---
: 4.7.z
Assignee: Jaivardhan Kumar
QA Contact: Mohammed Saud
Harsh Mishra
URL:
Whiteboard:
Depends On: 1969951
Blocks: 1978159
TreeView+ depends on / blocked
 
Reported: 2021-06-11 09:01 UTC by Jaivardhan Kumar
Modified: 2021-09-06 06:39 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Previously, users were not able to create a Knative service as a private service from the *Developer* perspective. This issue has now been fixed, by updating the label `'networking.knative.dev/visibility': 'cluster-local'`.
Clone Of: 1969951
Environment:
Last Closed: 2021-06-29 04:20:23 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 9220 0 None open [release-4.7] Bug 1970796: update cluster-local label for ksvc 2021-06-11 18:18:01 UTC
Red Hat Product Errata RHBA-2021:2502 0 None None None 2021-06-29 04:20:39 UTC

Comment 2 Mohammed Saud 2021-06-18 06:19:32 UTC
Verified on:
Build:   4.7.0-0.nightly-2021-06-17-224843
Browser: Firefox 89

KSVC has the correct label.

Comment 5 errata-xmlrpc 2021-06-29 04:20:23 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.7.18 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2021:2502


Note You need to log in before you can comment on or make changes to this bug.